Subject: bug#61881: Failed install with 1.4.0 installer-dump-2464c73a

From: Josselin Poiret <[email-masked]>
Date: Wed, 01 Mar 2023 11:14:59 +0100

Hi Vagrant,

Vagrant Cascadian <[email-masked]> writes:

> Tried the guix installer 1.4.0, and it seemed to be going smoothly,
> downloading substitutes... but eventually timed out waiting for
> substitutes...
>
> The "Resume" option for the install dropped me back to selecting locale,
> keyboard, substitutes, root password, user, etc. without actually
> seeming to resume anything, and even re-downloaded all the same
> substitutes, apparently.
>
> When it failed, it obscured the error messages, although apparently they
> are also logged on tty12 (is there a log file somewhere?)
>
> This was on a virtual machine running virt-manager with qemu (hosted on
> a Debian machine, fwiw), with virtio network and virtio disk.
>
> Will try again sometime soon...
>
>
> live well,
>   vagrant

I can't find the installer dump on dump.guix.gnu.org unfortunately
:(. Can you look into directories like /tmp/dump.XXXXX? There should be
a .tar.gz somewhere of the dump.

Things that drop you back to selecting locale seem like the whole
installer crashing rather than just the resume option working. In
general, we have some issues with handling `guix system init` problems
in the installer.

Best,
-- 
Josselin Poiret